- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.agenticCaseReportTemplates.list
Lists all reporting templates for a customer.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/agenticCaseReportTemplates
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent instance. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of templates to return. |
pageToken |
Optional. A page token, received from a previous call. |
Request body
The request body must be empty.
Response body
Response to list agentic case report templates.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"agenticCaseReportTemplates": [
{
object ( |
| Fields | |
|---|---|
agenticCaseReportTemplates[] |
The list of templates. |
nextPageToken |
A token to retrieve the next page of results. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.agenticCaseReportTemplates.get
For more information, see the IAM documentation.